Skip to content

Get Compass Task List

GET
/affiliate_seller/202603/compass/offline_tasks

Retrieve the list of export tasks created via Open API for the authorized seller (last 7 days). Supports pagination and returns task status, file_name and timestamps.

shop_cipher
required
string

Identifies the shop. Obtain it from the Get Authorized Shops API.

doc_type
required
string

Export-task category to retrieve.

  • CREATOR: Selects creator-list export tasks.
  • BASE: Selects core-performance export tasks.

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
tasks

The list of the task

Array<object>
object
module_type

Allowed values: CREATOR, BASE.

string
Allowed values: CREATOR BASE
id

The ID of the offline report task. When the task status is SUCCEEDED, use this value as the task_id path parameter in GET /affiliate_seller/202603/compass/offline_tasks/{task_id}/file to download the completed export task’s result file.

string
file_name

The name of the final download file.

string
status

The status of the task.

  • RUNNING
  • SUCCEEDED
  • FAILED
string
Example
{
"code": 0,
"data": {
"tasks": [
{
"module_type": "BASE",
"id": "1234",
"file_name": "Transaction_Analysis_Core_Metrics_20240301-20240331",
"status": "RUNNING"
}
]
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}